EventBufferEvent::connectHost
EventBufferEvent::createPair
EventBufferEvent
PHP Manual

# EventBufferEvent::__construct

(PECL event >= 1.2.6-beta)

EventBufferEvent::__construct — Constructs EventBufferEvent object

### Description

public EventBufferEvent::__construct ( EventBase `$base` [, mixed `$socket` = `NULL` [, int `$options` = 0 [, callable `$readcb` = `NULL` [, callable `$writecb` = `NULL` [, callable `$eventcb` = `NULL` ]]]]] )

Create a buffer event on a socket, stream or a file descriptor. Passing `NULL` to `socket` means that the socket should be created later, e.g. by means of EventBufferEvent::connect() .

### Parameters

`base`

  Event base that should be associated with the new buffer event.

`socket`

  May be created as a stream(not necessarily by means of sockets extension)

`options`

  One of EventBufferEvent::OPT_* constants , or `0` .

`readcb`

  Read event callback. See About buffer event callbacks .

`writecb`

  Write event callback. See About buffer event callbacks .

`eventcb`

  Status-change event callback. See About buffer event callbacks .

`arg`

  A variable that will be passed to all the callbacks.

### Return Values

Returns buffer event resource optionally associated with socket resource. */

### See Also

- EventBufferEvent::sslFilter() - Create a new SSL buffer event to send its data over another buffer event
- EventBufferEvent::sslSocket() - Creates a new SSL buffer event to send its data over an SSL on a socket

EventBufferEvent::connectHost
EventBufferEvent::createPair
EventBufferEvent
PHP Manual